{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "assignedToID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "assignedToID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "categoryID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "categoryID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createdByID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "createdByID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "defaultNoteID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "defaultNoteID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "detailsID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "detailsID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra1",
      "externalType" : "char",
      "name" : "extra1",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra10",
      "externalType" : "char",
      "name" : "extra10",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra11",
      "externalType" : "char",
      "name" : "extra11",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra12",
      "externalType" : "char",
      "name" : "extra12",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra2",
      "externalType" : "char",
      "name" : "extra2",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra3",
      "externalType" : "char",
      "name" : "extra3",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra4",
      "externalType" : "char",
      "name" : "extra4",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra5",
      "externalType" : "char",
      "name" : "extra5",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra6",
      "externalType" : "char",
      "name" : "extra6",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra7",
      "externalType" : "char",
      "name" : "extra7",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra8",
      "externalType" : "char",
      "name" : "extra8",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extra9",
      "externalType" : "char",
      "name" : "extra9",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extraDate1",
      "externalType" : "datetime",
      "name" : "extraDate1",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extraDate2",
      "externalType" : "datetime",
      "name" : "extraDate2",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extraDate3",
      "externalType" : "datetime",
      "name" : "extraDate3",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "extraDate4",
      "externalType" : "datetime",
      "name" : "extraDate4",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "flagged?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "flagged",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "flagged",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "imageDataID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "imageDataID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "industryTypeID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "industryTypeID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "priority",
        "ashType" : "Daylite.Type.Priority",
        "includeInResource" : "Y"
      },
      "columnName" : "level",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "level",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "modifyDate",
      "externalType" : "datetime",
      "name" : "modifyDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "name",
      "externalType" : "char",
      "name" : "name",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "numberOfEmployees",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "numberOfEmployees",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "organizationID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "organizationTypeID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "organizationTypeID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "N"
      },
      "columnName" : "permissionMask",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "permissionMask",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "regionTypeID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "regionTypeID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "N"
      },
      "columnName" : "sicCode",
      "externalType" : "char",
      "name" : "sicCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "sourceImportID",
      "externalType" : "char",
      "name" : "sourceImportID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "tagline",
      "externalType" : "char",
      "name" : "tagline",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "tickerSymbol",
      "externalType" : "char",
      "name" : "tickerSymbol",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "visibilityPresetID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "visibilityPresetID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashType" : ":pipe_set",
        "includeInResource" : "Y"
      },
      "columnName" : "readPermissions",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "readPermissions",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashType" : ":pipe_set",
        "includeInResource" : "Y"
      },
      "columnName" : "writePermissions",
      "externalType" : "char",
      "name" : "writePermissions",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "davIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "davIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "valueType" : "c"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "eTag",
      "externalType" : "char",
      "name" : "eTag",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "valueType" : "c"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "davCachedDepartment",
      "externalType" : "char",
      "name" : "davCachedDepartment",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWOrganization",
  "classProperties" : [
    "assignedToID",
    "categoryID",
    "createDate",
    "createdByID",
    "defaultNoteID",
    "detailsID",
    "extra1",
    "extra10",
    "extra11",
    "extra12",
    "extra2",
    "extra3",
    "extra4",
    "extra5",
    "extra6",
    "extra7",
    "extra8",
    "extra9",
    "extraDate1",
    "extraDate2",
    "extraDate3",
    "extraDate4",
    "flagged",
    "imageDataID",
    "industryTypeID",
    "level",
    "modifyDate",
    "name",
    "numberOfEmployees",
    "order",
    "organizationID",
    "organizationTypeID",
    "permissionMask",
    "regionTypeID",
    "sicCode",
    "sourceImportID",
    "tagline",
    "tickerSymbol",
    "visibilityPresetID",
    "readPermissions",
    "writePermissions",
    "davIdentifier",
    "eTag",
    "davCachedDepartment",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "assignedTo",
    "category",
    "connectorMaps",
    "createdBy",
    "defaultNote",
    "details",
    "electronicAddresses",
    "fromRelationships",
    "geoAddresses",
    "groupOrganizations",
    "groups",
    "imageData",
    "industryType",
    "keywordOrganizations",
    "keywords",
    "noteOrganizations",
    "notes",
    "organizationTasks",
    "organizationTimeblocks",
    "organizationType",
    "phones",
    "regionType",
    "roles",
    "tasks",
    "timeblocks",
    "toRelationships",
    "visibilityPreset",
    "customRecordSetOrganizations",
    "customRecordSets",
    "organizationDumbLists",
    "dumbLists",
    "organizationEmails",
    "emails",
    "extraVInfos",
    "fileAttachments",
    "organizationFileAttachments",
    "urlReferences",
    "organizationURLReferences"
  ],
  "domain" : "Contacts",
  "externalName" : "Organization",
  "fetchSpecificationDictionary" : {

  },
  "fullTextSearchIndices" : [
    {
      "attributeNames" : [
        "name"
      ],
      "name" : "name"
    },
    {
      "attributeNames" : [
        "name",
        "tagline",
        "tickerSymbol",
        "extra1",
        "extra2",
        "extra3",
        "extra4",
        "extra5",
        "extra6",
        "extra7",
        "extra8",
        "extra9",
        "extra10",
        "extra11",
        "extra12"
      ],
      "name" : "all"
    }
  ],
  "isDatabasePreference" : false,
  "isPresentableInTrash" : true,
  "isTrashable" : true,
  "localizationKey" : "Company",
  "localizationPluralKey" : "Companies",
  "name" : "Organization",
  "primaryKeyAttributes" : [
    "organizationID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "generatesAppEntity" : "Y",
    "generatesAppIntents" : "Y",
    "isDirectlyUpdatable" : "Y",
    "recordName" : "Company"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "assignedToID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "assignedTo",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N",
        "recordName" : "owner"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Category",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "categoryID",
          "sourceAttribute" : "categoryID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "category",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "Y",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "ConnectorMap",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "connectorMaps",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "createdByID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "createdBy",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N",
        "recordName" : "creator"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Note",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "defaultNoteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "defaultNote",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "LargeData",
      "internalInfo" : {
        "_nameInObjectStore" : "largeData"
      },
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "largeDataID",
          "sourceAttribute" : "detailsID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "details",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "ElectronicAddress",
      "destinationAttributeNameForOrdering" : "order",
      "isOrdered" : "Y",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "electronicAddresses",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      },
      "userInfo" : {
        "cloneContents" : "YES"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "Relationship",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "destinationOrgID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "fromRelationships",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      },
      "userInfo" : {
        "aKey" : ""
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "GeoAddress",
      "destinationAttributeNameForOrdering" : "order",
      "isOrdered" : "Y",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "geoAddresses",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      },
      "userInfo" : {
        "cloneContents" : "YES"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "GroupOrganizationJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "groupOrganizations",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "groupOrganizations.group",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "groups",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "LargeData",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "largeDataID",
          "sourceAttribute" : "imageDataID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "imageData",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "IndustryType",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "industryTypeID",
          "sourceAttribute" : "industryTypeID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "industryType",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordOrganizationJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordOrganizations",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordOrganizations.keyword",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywords",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "OrganizationNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "noteOrganizations",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "noteOrganizations.note",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "notes",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "OrganizationTaskJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizationTasks",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "OrganizationTimeblockJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizationTimeblocks",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "OrganizationType",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "organizationTypeID",
          "sourceAttribute" : "organizationTypeID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizationType",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "Phone",
      "destinationAttributeNameForOrdering" : "order",
      "isOrdered" : "Y",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "phones",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      },
      "userInfo" : {
        "cloneContents" : "YES"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "RegionType",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "regionTypeID",
          "sourceAttribute" : "regionTypeID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "regionType",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "Role",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "roles",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      },
      "userInfo" : {
        "cloneContents" : "YES"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "organizationTasks.task",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "tasks",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "organizationTimeblocks.timeblock",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "timeblocks",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "Relationship",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "sourceOrgID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "toRelationships",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      },
      "userInfo" : {
        "cloneContents" : "YES"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "VisibilityPreset",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "visibilityPresetID",
          "sourceAttribute" : "visibilityPresetID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "visibilityPreset",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "CustomRecordSetOrganizationJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSetOrganizations",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "customRecordSetOrganizations.customRecordSet",
      "destination" : "CustomRecordSet",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSets",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "OrganizationDumbListJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizationDumbLists",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "organizationDumbLists.sourceList",
      "destination" : "SourceList",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "dumbLists",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "EmailOrganizationJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizationEmails",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "organizationEmails.email",
      "destination" : "Email",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "emails",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "ashName" : "extra_vinfos",
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "ExtraVInfo",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "extraVInfos",
      "ownsDestination" : "N",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "organizationFileAttachments.fileAttachment",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "fileAttachments",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "FileAttachmentOrganizationJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizationFileAttachments",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "organizationURLReferences.uRLReference",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "urlReferences",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "URLReferenceOrganizationJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizationURLReferences",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportsPermissions" : true,
  "uniqueIdentifier" : "68",
  "userInfo" : {
    "MCRefreshRelationshipKeys" : [
      "defaultPhone",
      "defaultSecondPhone",
      "defaultGeoAddress",
      "defaultElectronicAddress",
      "defaultNote"
    ]
  }
}